com.sun.mirror.apt

## Class RoundCompleteEvent

- java.lang.Object
- - java.util.EventObject
  - - com.sun.mirror.apt.RoundCompleteEvent

- All Implemented Interfaces:
    Serializable

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. This class has no direct analog in the standardized API because the different round model renders it unnecessary.

      @Deprecated
      public abstract class RoundCompleteEvent
      extends EventObject

  Event for the completion of a round of annotation processing.

  While this class extends the serializable `EventObject`, it cannot meaningfully be serialized because all of the annotation processing tool's internal state would potentially be needed.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RoundCompleteEvent(AnnotationProcessorEnvironment source, RoundState rs)` Deprecated. The current `AnnotationProcessorEnvironment` is regarded as the source of events.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RoundState` | `getRoundState()` Deprecated. Return round state.
    `AnnotationProcessorEnvironment` | `getSource()` Deprecated. Return source.

    - ### Methods inherited from class java.util.EventObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoundCompleteEvent

          protected RoundCompleteEvent(AnnotationProcessorEnvironment source,
                            RoundState rs)

      Deprecated.
      The current `AnnotationProcessorEnvironment` is regarded as the source of events.
      Parameters:
        `source` - The source of events
        `rs` - The state of the round

  - ### Method Detail

    - #### getRoundState

          public RoundState getRoundState()

      Deprecated.
      Return round state.

    - #### getSource

          public AnnotationProcessorEnvironment getSource()

      Deprecated.
      Return source.
      Overrides:
        `getSource` in class `EventObject`
      Returns:
        The object on which the Event initially occurred.

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.